%define real_name PyYAML

Name:           python-yaml
Version:        3.10
Release:        %mkrel 3
Summary:        Python package implementing YAML parser and emitter
License:        MIT
Group:          Development/Python
URL:            http://pyyaml.org/
Source0:        http://pyyaml.org/download/pyyaml/PyYAML-%{version}.tar.xz
Provides:       python-%{real_name} = %{version}-%{release}
Provides:       %{real_name} = %{version}-%{release}
BuildRequires:	yaml-devel python-devel python3-devel

%description
PyYAML is a YAML parser and emitter for the Python programming
language. 

YAML is a data serialization format designed for human readability
and interaction with scripting languages.

%package -n python3-yaml
Summary:        Python package implementing YAML parser and emitter
Group:          Development/Python
Provides:       python3-%{real_name} = %{version}-%{release}

%description -n python3-yaml
PyYAML is a YAML parser and emitter for the Python programming
language. 

YAML is a data serialization format designed for human readability
and interaction with scripting languages.


%prep
%setup -q -n %{real_name}-%{version}
cp -a . %{py3dir}

%build
export CFLAGS="%{optflags}"
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O2 --skip-build --root=%{buildroot} --prefix=%{_prefix}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc LICENSE README examples
%{python_sitearch}/yaml
%{python_sitearch}/*.so
%{python_sitearch}/*.egg-info

%files -n python3-yaml
%doc LICENSE README examples
%{python3_sitearch}/*

%changelog
* Sun Nov 12 2017 Conan Kudo <Conan Kudo> 3.10-3pclos2017
- Add Python 3 subpackage
- Add missing extra Provides

* Sat Aug 10 2013 billybot <billybot>  3.10-1pclos2013
- update
